Subject: Re: RE: [TI994A] IDE Card

From: [email-masked]
Date: Sun, 19 Sep 2010 00:39:42 -0500 (CDT)

I'll try it tomorrow. I can't keep my eyes open anymore and for some reason MDMV keeps going to sleep while trying to copy about 10 megs to WDS1. (What a pain in the posterior.)

Sep 19, 2010 01:23:52 AM, [email-masked] wrote:

>
>
>
> The following file generates a ~16 sector file and then reads it
>back a few different ways.
>
>If you have an IDE card, I would also be interested in the results of this test.
>I have sent
>Fred some preliminary results but with only one card in my posession, it would
>be nice
>to have someone confirm results.
>
>The program will print the expected record number and what it reads from the
>file. The
>output is of interest, especially if the two values do not match.
>
>-Tim
>
>1 !SAVE DSK4.TESTIFR
>100 OPEN #1:"IDE1.TESTFILE",INTERNAL,FIXED 254,RELATIVE
>1000 FOR I=0 TO 15 :: PRINT #1,REC I:"REC#"&STR$(I)
>:: NEXT I
>1100 CALL RR("SEQUENTIAL",0,4,1)
>1103 CALL RR("SKIP REC 0",1,6,1)
>1104 CALL RR("SKIP 0-7",8,10,1)
>1105 CALL RR("SKIP A REC",1,9,2)
>1110 CLOSE #1 :: END
>1200 SUB RR(B$,A,B,C)::PRINT B$::FOR I=A TO B STEP C::INPUT
>#1,REC I:A$
>1210 PRINT I;A$ :: NEXT I::SUBEND
>
>
To: [email-masked]
>From: [email-masked]
>Date: Sat, 18 Sep 2010 19:12:39 -0500
>Subject: [TI994A] IDE Card
>
>
>
> Could someone with an IDE Card test something for me?
>
>I have some XB programs that are IV254 (not Program image). With the IDE
>Card and DM2K,I can copy the files. However, if I "OLD" the file into
>XB, and then try to save that same program to the IDE (no matter what folder
>or
>name I give it) the save begins but after a few records I get "IO Error 33"
>
>I have been finding some other file IO oddities and want to know if
>this is something "common". Most of us load programs nowadays
>and may seldom do a lot of file IO.... I am heading to my dungeon
>for some more testing and head-scratching.
>
>PS - I have tried DSR v8 and DSR v5 ; I've initialized
>the CF card, tried fresh files, etc.
>
>
>Thanks
>
>
>